> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pivotal.app/llms.txt.
> For full documentation content, see https://docs.pivotal.app/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pivotal.app/_mcp/server.

# List onboardings

GET https://my.pivotal.app/api/v1/onboardings

Filter by `customer_id`, `state`, or `phase`. `state=waiting` is derived from `waiting_on_customer = true`. Cursor-paginated.

Reference: https://docs.pivotal.app/api/reference/pivotal-api/onboardings/list-onboardings

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi
  version: 1.0.0
paths:
  /api/v1/onboardings:
    get:
      operationId: list-onboardings
      summary: List onboardings
      description: >-
        Filter by `customer_id`, `state`, or `phase`. `state=waiting` is derived
        from `waiting_on_customer = true`. Cursor-paginated.
      tags:
        - subpackage_onboardings
      parameters:
        - name: limit
          in: query
          description: 1–100, default 25.
          required: false
          schema:
            type: string
        - name: cursor
          in: query
          description: Pagination cursor from a previous response (ISO timestamp).
          required: false
          schema:
            type: string
            format: date-time
        - name: customer_id
          in: query
          description: Filter by customer (display_id or cuid).
          required: false
          schema:
            type: string
        - name: state
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ApiV1OnboardingsGetParametersState'
        - name: phase
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ApiV1OnboardingsGetParametersPhase'
        - name: Authorization
          in: header
          description: |
            Send your key in the `Authorization` header. Keys start with
            `pivotal_` (production) or `pivotal_test_` (test mode, no side
            effects on integrations). Rotate keys from
            `/admin/api-keys` — old keys 401 instantly when revoked.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingList'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
servers:
  - url: https://my.pivotal.app
components:
  schemas:
    ApiV1OnboardingsGetParametersState:
      type: string
      enum:
        - active
        - paused
        - at_risk
        - waiting
      title: ApiV1OnboardingsGetParametersState
    ApiV1OnboardingsGetParametersPhase:
      type: string
      enum:
        - before_getting_started
        - program_design
        - review
        - program_buildout
        - internal_qa
        - launch
        - completed
      title: ApiV1OnboardingsGetParametersPhase
    OnboardingListObject:
      type: string
      enum:
        - list
      title: OnboardingListObject
    OnboardingObject:
      type: string
      enum:
        - onboarding
      title: OnboardingObject
    OnboardingPhase:
      type: string
      enum:
        - before_getting_started
        - program_design
        - review
        - program_buildout
        - internal_qa
        - launch
        - completed
      title: OnboardingPhase
    OnboardingState:
      type: string
      enum:
        - active
        - paused
        - at_risk
        - waiting
      title: OnboardingState
    Onboarding:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/OnboardingObject'
        id:
          type: string
        display_id:
          type: integer
        customer_id:
          type: string
        template_id:
          type:
            - string
            - 'null'
        phase:
          $ref: '#/components/schemas/OnboardingPhase'
        state:
          $ref: '#/components/schemas/OnboardingState'
        started_at:
          type: string
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        target_launch_date:
          type:
            - string
            - 'null'
          format: date-time
        csm_id:
          type:
            - string
            - 'null'
        se_id:
          type:
            - string
            - 'null'
        designer_id:
          type:
            - string
            - 'null'
        product_ops_id:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        waiting_on_customer:
          type: boolean
        waiting_on_customer_since:
          type:
            - string
            - 'null'
          format: date-time
        wizard_completed_at:
          type:
            - string
            - 'null'
          format: date-time
        reminder_email:
          type: boolean
        reminder_slack:
          type: boolean
        reminder_frequency_days:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - object
        - id
        - display_id
        - customer_id
        - template_id
        - phase
        - state
        - started_at
        - completed_at
        - target_launch_date
        - csm_id
        - se_id
        - designer_id
        - product_ops_id
        - notes
        - waiting_on_customer
        - waiting_on_customer_since
        - wizard_completed_at
        - reminder_email
        - reminder_slack
        - reminder_frequency_days
        - created_at
        - updated_at
      title: Onboarding
    OnboardingList:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/OnboardingListObject'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Onboarding'
        has_more:
          type: boolean
        next_cursor:
          type:
            - string
            - 'null'
      required:
        - object
        - data
        - has_more
        - next_cursor
      title: OnboardingList
    ErrorErrorType:
      type: string
      enum:
        - invalid_request_error
        - authentication_error
        - permission_error
        - rate_limit_error
        - not_found
        - conflict
        - internal_error
      title: ErrorErrorType
    ErrorError:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ErrorErrorType'
        code:
          type: string
        message:
          type: string
        field:
          type: string
      required:
        - type
        - code
        - message
      title: ErrorError
    Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorError'
      required:
        - error
      title: Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Send your key in the `Authorization` header. Keys start with
        `pivotal_` (production) or `pivotal_test_` (test mode, no side
        effects on integrations). Rotate keys from
        `/admin/api-keys` — old keys 401 instantly when revoked.

```

## SDK Code Examples

```python
import requests

url = "https://my.pivotal.app/api/v1/onboardings"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://my.pivotal.app/api/v1/onboardings';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://my.pivotal.app/api/v1/onboardings"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://my.pivotal.app/api/v1/onboardings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://my.pivotal.app/api/v1/onboardings")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://my.pivotal.app/api/v1/onboardings', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://my.pivotal.app/api/v1/onboardings");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://my.pivotal.app/api/v1/onboardings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```